import gcode2contour as gc
import two_arm_utils as tu

from math import pi
import pickle

# TODO use actual contours
c_tracker = "dummy"
cc = tu.CollisionChecker()
home = [0, -2.1, 2.1, -pi/2, -pi/2, 0]
plan = tu.Planner(c_tracker, cc, 2, [home, home])
tac = tu.TwoArmController()

def getplan(start_j, end_j, otherarm):
    tac.go_to_joint(start_j,1)
    tac.go_to_joint(otherarm,2)

    tac.arm1.set_joint_value_target(end_j)
    success, plan, tim, _ = tac.arm1.plan()
    return plan

with open("testplans2.pkl", 'rb') as f:
    t1, t2, t3, t4, t5 = pickle.load(f)

## test adding trajectories to the plan
plan.appendTrajectory([t1.joint_trajectory], 0)
plan.appendTrajectory([t2.joint_trajectory], 1)
plan.appendTrajectory([t3.joint_trajectory], 0)
plan.appendTrajectory([t4.joint_trajectory], 1)
plan.appendTrajectory([t5.joint_trajectory], 0)

# test adding trajectory to plan
# Get trajectory from moveit
# plan.appendTrajectory

# Greedy plan
# while contours left to do
    # choose robot with the shortest plan
    # for every available contour
        # get IK and distance in C-space

    # order contours by dist in c-space
    # while contour not added
        # create trajectory to contour start
        # if no traj found, next loop cycle
        # try adding traj + contour to planner
        # if success, break, else loop again
    # if no contour added, add a wait time (say 3s)
