from two_arm_utils import TwoArmController
import gcode2contour as gc
import numpy as np
from copy import deepcopy

# launch moveit first
tac = TwoArmController()

# get contours
contours = gc.decode_gcode("gcode/benchy.gcode")

# select longest contour for example
n = np.argmax([len(c) for c in contours])
c = contours[n]

# plan to the start of the contour
# TODO

# plan a contour
plan, frac = tac.plan_contour(c, 1)
# frac is the proportion of the contour which could be planned for

# visualise the plan
tac.display_trajectory(plan)



